ezyang / git-ftp в Windows

Я пытаюсь установить git-ftp из https://github.com/ezyang/git-ftp в свои окна. Я знаю, что большинство git-ftp нуждаются в cygwin или просто не могут быть установлены на windows, но, поскольку он закодирован на Python, и вы можете установить интерпретатор Python на windows, я бы мог его установить.

Я установил Python 3.2, добавил его на свой путь. Затем я вытащил последнюю версию git-ftp и выполнил инструкции по установке, которые довольно понятны:

Requirements: [git-python 3.x] ( http://gitorious.org/git-python ) it can be installed with `easy_install gitpython` Usage: `python git-ftp.py` 

Затем я запускаю «python git-ftp.py», и я получаю следующую ошибку:

 python git-ftp.py install File "git-ftp.py", line 322 print complaint ^ SynthaxError: invalid synthax 

Мой вопрос: зачем доцент это работает? это ошибка python, ошибка сценария git-ftp, проблемы совместимости окон? Примечание. Я didnt установил «easy_install gitpython», мне это абсолютно необходимо?

Редактировать :

Я также попытался установить python-2.7.2.amd64-pdb и запустил ту же команду, и я получил другую ошибку:

 python git-ftp.py install Traceback (most recent call last): File "git-ftp.py", line 48, in <module> from git import Tree, Blob, Repo, Git, Submodule ImportError : No module named git 

Я считаю, что сценарий не может найти мой git или что-то в этом роде. Затем я попытался поместить правильный файл ftpdata в папку .git и запустил скрипт из корневой папки .git и даже попытался запустить его из самой папки .git. Это тоже работает.

Я не знаю, имеет ли это значение, но у меня Windows 7 – 64 бит (Intel Core2 Duo CPU T9600)

Мой вопрос: как рассказать скрипт python, где находится модуль git?

git-ftp написан Python 2 и не совместим с Python 3. Установите более раннюю версию интерпретатора.

Редактировать. Вам нужно установить библиотеку git-python. Поскольку самый простой способ установки библиотек – easy_install , вы должны настроить его с инструкциями здесь: http://pypi.python.org/pypi/setuptools, а затем запустить easy_install git-python .